version: '3'
services:
  angi-x-app:
    container_name: angi-x-app
    build:
      context: .
      dockerfile: Dockerfile
    ports:
      - 3000:3000
    depends_on:
      - angi-x-server
    networks:
      - angi-x-network
  
  angi-x-server:
    container_name: angi-x-server
    build:
      context: https://${GIT_TOKEN}@gitlab.com/Sai.Ravi/angi-x-server.git#main
      dockerfile: Dockerfile
    environment:
      OPENAI_API_KEY: ${OPENAI_API_KEY}
    ports:
      - 5001:5000
    networks:
      - angi-x-network

networks:
  angi-x-network:
    driver: bridge
